%define version	3.03
%define subrel	1
%define release	%mkrel 6
%define realname	Net-Telnet
%define name	perl-%realname

Summary:	Net::Telnet perl module
Name:		%{name}
version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source:		%{realname}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%realname
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root/
BuildArch:	noarch
BuildRequires:	perl-devel

%description
Net::Telnet allows you to make client connections to a TCP port and do network
I/O, especially to a port using the TELNET protocol.  Simple I/O methods such
as print, get, and getline are provided.  More sophisticated interactive
features are provided because connecting to a TELNET port ultimately means
communicating with a program designed for human interaction.  These interactive
features include the ability to specify a timeout and to wait for patterns to
appear in the input stream, such as the prompt from a shell.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorlib}/Net



%changelog
* Thu Feb 07 2008 Vincent Danen <vdanen@mandriva.com> 3.03-6.1mdv2008.0
- bump the release for updates

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 3.03-6mdv2008.0
+ Revision: 19236
- rebuild

  + Mandriva <devel@mandriva.com>


* Fri Feb 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.03-5mdk
- Rebuild
- Fix URL, description and summary, remove MANIFEST
- Add tests

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.03-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.03-3mdk
- don't require perl, rpm will figure it out by itself
- drop Prefix tag, use %%{_prefix}
- buildrequires

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.03-2mdk
- rebuild for new auto{prov,req}

